Retrieve
GET/models/{modelId}/description
Get the description of the given modelId
Retrieve
curl https://api.cloud.scenario.com/v1/models/$MODEL_ID/description \
-u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET"{
"description": {
"assets": [
{
"id": "id",
"authorId": "authorId",
"kind": "3d",
"mimeType": "mimeType",
"ownerId": "ownerId",
"privacy": "private",
"properties": {
"size": 0,
"animationFrameCount": 0,
"bitrate": 0,
"boneCount": 0,
"channels": 0,
"classification": "effect",
"codecName": "codecName",
"description": "description",
"dimensions": [
0,
0,
0
],
"duration": 0,
"faceCount": 0,
"format": "format",
"frameRate": 0,
"hasAnimations": true,
"hasNormals": true,
"hasSkeleton": true,
"hasUVs": true,
"height": 0,
"nbFrames": 0,
"sampleRate": 0,
"transcription": {
"text": "text"
},
"vertexCount": 0,
"width": 0
},
"source": "3d23d",
"url": "url",
"originalFileUrl": "originalFileUrl",
"preview": {
"assetId": "assetId",
"url": "url"
},
"thumbnail": {
"assetId": "assetId",
"url": "url"
}
}
],
"models": [
{
"id": "id",
"privacy": "private",
"type": "custom",
"authorId": "authorId",
"name": "name",
"ownerId": "ownerId",
"shortDescription": "shortDescription"
}
],
"value": "value"
}
}Returns Examples
{
"description": {
"assets": [
{
"id": "id",
"authorId": "authorId",
"kind": "3d",
"mimeType": "mimeType",
"ownerId": "ownerId",
"privacy": "private",
"properties": {
"size": 0,
"animationFrameCount": 0,
"bitrate": 0,
"boneCount": 0,
"channels": 0,
"classification": "effect",
"codecName": "codecName",
"description": "description",
"dimensions": [
0,
0,
0
],
"duration": 0,
"faceCount": 0,
"format": "format",
"frameRate": 0,
"hasAnimations": true,
"hasNormals": true,
"hasSkeleton": true,
"hasUVs": true,
"height": 0,
"nbFrames": 0,
"sampleRate": 0,
"transcription": {
"text": "text"
},
"vertexCount": 0,
"width": 0
},
"source": "3d23d",
"url": "url",
"originalFileUrl": "originalFileUrl",
"preview": {
"assetId": "assetId",
"url": "url"
},
"thumbnail": {
"assetId": "assetId",
"url": "url"
}
}
],
"models": [
{
"id": "id",
"privacy": "private",
"type": "custom",
"authorId": "authorId",
"name": "name",
"ownerId": "ownerId",
"shortDescription": "shortDescription"
}
],
"value": "value"
}
}